Bug 613539 - xsane: segfault when choosing pdf as save format
xsane: segfault when choosing pdf as save format
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xsane (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Nils Philippsen
Desktop QE
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 04:03 EDT by Stefan Assmann
Modified: 2016-07-01 05:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2010-07-12 04:03:48 EDT
Description of problem:
xsane segfaults when I switched from jpeg as the output format to pdf as output format.

Version-Release number of selected component (if applicable):
xsane-0.997-4.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. run xsane and click "Scan"
2. In the opening window click "Save Image"
3. Select "PDF" as Type (as soon as you select PDF the segfault happens)
  
sassmann@t500:~> gdb xsane -ex 'thread apply all bt'
GNU gdb (GDB) Red Hat Enterprise Linux (7.1-21.el6)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/xsane...Reading symbols from /usr/lib/debug/usr/bin/xsane.debug...done.
done.
(gdb) run
Starting program: /usr/bin/xsane 
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffe727e710 (LWP 10730)]
[...]

[New Thread 0x7fffe5e7c710 (LWP 10869)]
[Thread 0x7fffe5e7c710 (LWP 10869) exited]

Program received signal SIGSEGV, Segmentation fault.
0x000000356ee81bba in __strrchr_sse2 () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install GConf2-2.28.0-6.el6.x86_64 ORBit2-2.14.17-3.1.el6.x86_64 atk-1.28.0-2.el6.x86_64 bzip2-libs-1.0.5-6.1.el6.x86_64 cairo-1.8.8-3.1.el6.x86_64 dbus-glib-0.86-3.el6.x86_64 expat-2.0.1-9.1.el6.x86_64 glib2-2.22.5-3.el6.x86_64 glibc-2.12-1.2.el6.x86_64 gtk2-engines-2.18.4-4.el6.x86_64 gvfs-1.4.3-8.el6.x86_64 hplip-libs-3.9.8-30.el6.x86_64 keyutils-libs-1.4-1.el6.x86_64 krb5-libs-1.8.1-6.el6.x86_64 lcms-libs-1.19-1.el6.x86_64 libX11-1.3-1.el6.x86_64 libXau-1.0.5-1.el6.x86_64 libXcomposite-0.4.1-2.el6.x86_64 libXcursor-1.1.10-2.el6.x86_64 libXdamage-1.1.2-1.el6.x86_64 libXext-1.1-2.el6.x86_64 libXfixes-4.0.4-1.el6.x86_64 libXi-1.3-2.el6.x86_64 libXinerama-1.1-1.el6.x86_64 libXrandr-1.3.0-4.el6.x86_64 libXrender-0.9.5-1.el6.x86_64 libcanberra-0.22-1.el6.x86_64 libcanberra-gtk2-0.22-1.el6.x86_64 libcom_err-1.41.12-2.el6.x86_64 libcroco-0.6.2-5.el6.x86_64 libexif-0.6.16-4.1.el6.x86_64 libgcrypt-1.4.5-3.el6.x86_64 libgpg-error-1.7-3.el6.x86_64 libgphoto2-2.4.7-3.el6.x86_64 libgsf-1.14.15-4.el6.x86_64 libieee1284-0.2.11-8.1.el6.x86_64 libjpeg-6b-46.el6.x86_64 libogg-1.1.4-2.1.el6.x86_64 libpng-1.2.43-1.el6.x86_64 librsvg2-2.26.0-4.el6.x86_64 libsane-hpaio-3.9.8-30.el6.x86_64 libselinux-2.0.94-1.el6.x86_64 libtasn1-2.3-3.el6.x86_64 libtdb-1.2.1-2.el6.x86_64 libtiff-3.9.2-3.el6.x86_64 libtool-ltdl-2.2.6-15.5.el6.x86_64 libudev-147-2.18.el6.x86_64 libusb-0.1.12-23.el6.x86_64 libv4l-0.6.3-2.el6.x86_64 libvorbis-1.2.3-4.el6.x86_64 libxcb-1.5-1.el6.x86_64 libxml2-2.7.6-1.el6.x86_64 openssl-1.0.0-2.el6.x86_64 zlib-1.2.3-24.el6.x86_64
(gdb) bt
#0  0x000000356ee81bba in __strrchr_sse2 () from /lib64/libc.so.6
#1  0x00000000004097b5 in xsane_back_gtk_filetype2_callback (widget=<value optimized out>, data=0x476de5) at xsane-back-gtk.c:1116
#2  0x0000003570a0bb3e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#3  0x0000003570a20e23 in ?? () from /lib64/libgobject-2.0.so.0
#4  0x0000003570a220af in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#5  0x0000003570a225f3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#6  0x000000345487dcde in IA__gtk_widget_activate (widget=0xd48b80) at gtkwidget.c:4806
#7  0x0000003454764b9d in IA__gtk_menu_shell_activate_item (menu_shell=0xbf7340, menu_item=0xd48b80, force_deactivate=<value optimized out>) at gtkmenushell.c:1139
#8  0x000000345476684a in gtk_menu_shell_button_release (widget=0xbf7340, event=<value optimized out>) at gtkmenushell.c:678
#9  0x0000003454753eb3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8dfe50, return_value=0x7fffffffb280, n_param_values=<value optimized out>, param_values=0xd80700, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
#10 0x0000003570a0ba89 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#11 0x0000003570a209ed in ?? () from /lib64/libgobject-2.0.so.0
#12 0x0000003570a21f4a in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#13 0x0000003570a225f3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#14 0x0000003454876b3f in gtk_widget_event_internal (widget=0xbf7340, event=0xa68eb0) at gtkwidget.c:4775
#15 0x000000345474ac2a in IA__gtk_propagate_event (widget=0xbf7340, event=0xa68eb0) at gtkmain.c:2417
#16 0x000000345474bd9c in IA__gtk_main_do_event (event=0xa68eb0) at gtkmain.c:1622
#17 0x0000003453c5fffc in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gdkevents-x11.c:2372
#18 0x000000356ea38eee in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#19 0x000000356ea3c918 in ?? () from /lib64/libglib-2.0.so.0
#20 0x000000356ea3cd35 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#21 0x00000034546c0a3b in IA__gtk_dialog_run (dialog=0xa6d310) at gtkdialog.c:1089
#22 0x000000000040c193 in xsane_back_gtk_get_filename (label=<value optimized out>, default_name=<value optimized out>, max_len=<value optimized out>, filename=<value optimized out>, filetype=0xb0edc8, 
    cms_function=<value optimized out>, action=XSANE_FILE_CHOOSER_ACTION_SAVE, show_extra_widgets=1, enable_filters=3, activate_filter=2) at xsane-back-gtk.c:1472
#23 0x00000000004329c0 in xsane_viewer_save_callback (window=<value optimized out>, data=0xb0eda0) at xsane-viewer.c:295
#24 0x0000003570a0bb3e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#25 0x0000003570a20e23 in ?? () from /lib64/libgobject-2.0.so.0
#26 0x0000003570a220af in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#27 0x0000003570a225f3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#28 0x000000345468d855 in gtk_real_button_released (button=0xbf6180) at gtkbutton.c:1707
#29 0x0000003570a0bb3e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#30 0x0000003570a2063c in ?? () from /lib64/libgobject-2.0.so.0
#31 0x0000003570a220af in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#32 0x0000003570a225f3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#33 0x000000345468c0b7 in gtk_button_button_release (widget=<value optimized out>, event=<value optimized out>) at gtkbutton.c:1599
#34 0x0000003454753eb3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8dfe50, return_value=0x7fffffffda80, n_param_values=<value optimized out>, param_values=0xbfc660, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
#35 0x0000003570a0bb3e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#36 0x0000003570a209ed in ?? () from /lib64/libgobject-2.0.so.0
#37 0x0000003570a21f4a in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#38 0x0000003570a225f3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#39 0x0000003454876b3f in gtk_widget_event_internal (widget=0xbf6180, event=0xaccee0) at gtkwidget.c:4775
#40 0x000000345474ac2a in IA__gtk_propagate_event (widget=0xbf6180, event=0xaccee0) at gtkmain.c:2417
#41 0x000000345474bd9c in IA__gtk_main_do_event (event=0xaccee0) at gtkmain.c:1622
#42 0x0000003453c5fffc in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gdkevents-x11.c:2372
#43 0x000000356ea38eee in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#44 0x000000356ea3c918 in ?? () from /lib64/libglib-2.0.so.0
#45 0x000000356ea3cd35 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#46 0x000000345474c287 in IA__gtk_main () at gtkmain.c:1218
#47 0x0000000000474d21 in xsane_interface (argc=<value optimized out>, argv=<value optimized out>) at xsane.c:6078
#48 0x0000000000475418 in main (argc=1, argv=0x7fffffffe688) at xsane.c:6275
Comment 2 Nils Philippsen 2010-07-12 08:47:05 EDT
Would you please verify that with the current version 0.997-8.el6? I want to check if this is a duplicate of bug #608047.
Comment 3 Stefan Assmann 2010-07-13 03:18:22 EDT
Same behaviour with 0.997-8.el6:
(gdb) bt
#0  0x000000356ee81bba in __strrchr_sse2 () from /lib64/libc.so.6
#1  0x00000000004097a5 in xsane_back_gtk_filetype2_callback (widget=<value optimized out>, data=0x476d65) at ../../src/xsane-back-gtk.c:1116
#2  0x0000003570a0bb3e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#3  0x0000003570a20e23 in ?? () from /lib64/libgobject-2.0.so.0
#4  0x0000003570a220af in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
[snip]
Comment 4 Nils Philippsen 2010-07-13 06:10:29 EDT
Fixed in Fedora in 0.997-10.
Comment 7 Suzanne Yeghiayan 2011-02-15 16:40:07 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 9 Suzanne Yeghiayan 2011-02-15 17:03:37 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 14 RHEL Product and Program Management 2011-08-19 14:08:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.